using System;

namespace ZadatakEkskurzija
{
    class Program
    {
        static void Main(string[] args)
        {
            long t = long.Parse(Console.ReadLine());
            long[,] st = new long[t, 3];
            for(long i=0;i<t;i++)
            {
                string[] sts = Console.ReadLine().Split(' ');
                st[i, 0] = long.Parse(sts[0]);
                st[i, 1] = long.Parse(sts[1]);
                st[i, 2] = long.Parse(sts[2]);
            }
            for(long i=0;i<t;i++)
            {
                long n = st[i,0];
                long m = st[i,1];
                long k = st[i,2];
                if ((n / k * (n / k + 1) / 2) * k + ((n - n / k * k) * (n / k + 1)) <= m) Console.WriteLine("Tak");
                else Console.WriteLine("Nie");
            }
        }
    }
}